# eric6.E5XML.TasksWriter

Module implementing the writer class for writing an XML tasks file.

### Global Attributes

None

### Classes

TasksWriter | Class implementing the writer class for writing an XML tasks file.

### Functions

None

## TasksWriter

Class implementing the writer class for writing an XML tasks file.

### Derived from

XMLStreamWriterBase

### Class Attributes

None

### Class Methods

None

### Methods

TasksWriter | Constructor
writeXML | Public method to write the XML to the file.

### Static Methods

None

#### TasksWriter (Constructor)

TasksWriter(device, forProject=False, projectName="")

Constructor

device
  reference to the I/O device to write to (QIODevice)
forProject
  flag indicating project related mode (boolean)
projectName
  name of the project (string)

#### TasksWriter.writeXML

writeXML()

Public method to write the XML to the file.

Up